import request from '@/plugin/axios'


// 列表展示
export function getBlockMessageList (data) {
  return request({
    url: '/buildingManage/listByPage',
    method: 'post',
    data
  })
}
// 所属校区下拉框
export function getBelongsOptions (data) {
  return request({
    url: '/dormitoryComm/campus',
    method: 'post',
    data
  })
}
// 新增修改
export function saveOrUpBlockData (data) {
  return request({
    url: '/buildingManage/addOrUpdate',
    method: 'post',
    data
  })
}
// 编辑回显
export function getBlockMessageById (data) {
  return request({
    url: '/buildingManage/get',
    method: 'post',
    data
  })
}
// 删除delBlockById
export function delBlockById (data) {
  return request({
    url: '/buildingManage/delete',
    method: 'post',
    data
  })
}

